Subject: Re: bug#54562: 28.0.91; Emoji sequence not composed

From: Robert Pluim <[email-masked]>
Date: Tue, 29 Mar 2022 17:59:46 +0200

>>>>> On Tue, 29 Mar 2022 18:42:03 +0300, Eli Zaretskii <[email-masked]> said:

    >> From: Robert Pluim <[email-masked]>
    >> That might work. What would the fallback look like? Suppose we have 4
    >> diacritics, 3 of which are covered by the same font, and one by a
    >> different one. Would you prefer to attempt to use the font of 3 of
    >> them, or would you prefer to fall back to the font of the base
    >> character?

    Eli> I think I'd prefer to have the font that covers the majority.

OK. Btw, the limit is a 3-character lookback, not 4 (although I guess
we could always raise it).

    Eli> But I'm not sure it's a real-life dilemma.  I fully expect a font that
    Eli> supports the rare diacritic to also support the less rare ones.  And
    Eli> if I'm wrong, I'm sure we will hear about that soon enough ;-)

That we will.

Robert
--